scim_config_base.h File Reference

scim::ConfigBase Interface. More...

## Classes

class | scim::ConfigError
| An exception class to hold Config related errors. More...
class | scim::ConfigBase
| The interface class to access the configuration data. More...
class | scim::DummyConfig
| A dummy implementation of interface class scim::ConfigBase. More...

## Namespaces

namespace | scim

## Typedefs

typedef Pointer< ConfigBase > | scim::ConfigPointer
typedef Slot1< void, const ConfigPointer & > | scim::ConfigSlotVoid
typedef Signal1< void, const ConfigPointer & > | scim::ConfigSignalVoid

## Detailed Description

scim::ConfigBase Interface.

Provide a unified interface to access the configuration data. All of SCIM objects should use this interface if they have any configuration data.